exports.ids = [62,4,12,14,49,51,52,53];
exports.modules = {

/***/ 142:
/***/ (function(module, exports) {

// Exports
module.exports = {

};


/***/ }),

/***/ 143:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
// ESM COMPAT FLAG
__webpack_require__.r(__webpack_exports__);

// CONCATENATED MODULE: ./node_modules/babel-loader/lib??ref--2-0!./node_modules/vue-loader/lib/loaders/templateLoader.js??ref--6!./node_modules/@nuxt/components/dist/loader.js??ref--0-0!./node_modules/vue-loader/lib??vue-loader-options!./components/Tinymce/index.vue?vue&type=template&id=64623c0e&scoped=true
var render = function render() {
  var _vm = this,
    _c = _vm._self._c;
  return _c('div', {
    staticClass: "tinymce-container",
    class: {
      fullscreen: _vm.fullscreen
    },
    style: {
      width: _vm.containerWidth
    }
  }, [_vm._ssrNode("<textarea" + _vm._ssrAttr("id", _vm.tinymceId) + " class=\"tinymce-textarea\" data-v-64623c0e></textarea>")]);
};
var staticRenderFns = [];

// CONCATENATED MODULE: ./components/Tinymce/index.vue?vue&type=template&id=64623c0e&scoped=true

// EXTERNAL MODULE: ./components/Tinymce/plugins.js
var plugins = __webpack_require__(150);

// EXTERNAL MODULE: ./components/Tinymce/toolbar.js
var toolbar = __webpack_require__(151);

// EXTERNAL MODULE: ./components/Tinymce/dynamicLoadScript.js
var dynamicLoadScript = __webpack_require__(152);

// CONCATENATED MODULE: ./node_modules/babel-loader/lib??ref--2-0!./node_modules/@nuxt/components/dist/loader.js??ref--0-0!./node_modules/vue-loader/lib??vue-loader-options!./components/Tinymce/index.vue?vue&type=script&lang=js
/**
 * docs:
 * https://panjiachen.github.io/vue-element-admin-site/feature/component/rich-editor.html#tinymce
 */
// import editorImage from './components/EditorImage'




// why use this cdn, detail see https://github.com/PanJiaChen/tinymce-all-in-one
const tinymceCDN = '//cdn.jsdelivr.net/npm/tinymce-all-in-one@4.9.3/tinymce.min.js';
/* harmony default export */ var Tinymcevue_type_script_lang_js = ({
  name: 'Tinymce',
  // components: { editorImage },
  props: {
    id: {
      type: String,
      default: function () {
        return 'vue-tinymce-' + +new Date() + ((Math.random() * 1000).toFixed(0) + '');
      }
    },
    value: {
      type: String,
      default: ''
    },
    toolbar: {
      type: Array,
      required: false,
      default() {
        return [];
      }
    },
    menubar: {
      type: String,
      default: 'file edit insert view format table'
    },
    height: {
      type: [Number, String],
      required: false,
      default: 360
    },
    width: {
      type: [Number, String],
      required: false,
      default: 'auto'
    }
  },
  data() {
    return {
      hasChange: false,
      hasInit: false,
      tinymceId: this.id,
      fullscreen: false,
      languageTypeList: {
        'en': 'en',
        'zh': 'zh_CN',
        'es': 'es_MX',
        'ja': 'ja'
      }
    };
  },
  computed: {
    language() {
      return this.languageTypeList[this.$store.getters.language];
    },
    containerWidth() {
      const width = this.width;
      if (/^[\d]+(\.[\d]+)?$/.test(width)) {
        // matches `100`, `'100'`
        return `${width}px`;
      }
      return width;
    }
  },
  watch: {
    value(val) {
      if (!this.hasChange && this.hasInit) {
        this.$nextTick(() => window.tinymce.get(this.tinymceId).setContent(val || ''));
      }
    },
    language() {
      this.destroyTinymce();
      this.$nextTick(() => this.initTinymce());
    }
  },
  mounted() {
    this.init();
  },
  activated() {
    if (window.tinymce) {
      this.initTinymce();
    }
  },
  deactivated() {
    this.destroyTinymce();
  },
  destroyed() {
    this.destroyTinymce();
  },
  methods: {
    init() {
      // dynamic load tinymce from cdn
      Object(dynamicLoadScript["default"])(tinymceCDN, err => {
        if (err) {
          this.$message.error(err.message);
          return;
        }
        this.initTinymce();
      });
    },
    initTinymce() {
      const _this = this;
      window.tinymce.init({
        language: this.language,
        selector: `#${this.tinymceId}`,
        height: this.height,
        body_class: 'panel-body ',
        object_resizing: false,
        toolbar: this.toolbar.length > 0 ? this.toolbar : toolbar["default"],
        menubar: this.menubar,
        plugins: plugins["default"],
        end_container_on_empty_block: true,
        powerpaste_word_import: 'clean',
        code_dialog_height: 450,
        code_dialog_width: 1000,
        advlist_bullet_styles: 'square',
        advlist_number_styles: 'default',
        imagetools_cors_hosts: ['www.tinymce.com', 'codepen.io'],
        default_link_target: '_blank',
        link_title: false,
        nonbreaking_force_tab: true,
        // inserting nonbreaking space &nbsp; need Nonbreaking Space Plugin
        init_instance_callback: editor => {
          if (_this.value) {
            editor.setContent(_this.value);
          }
          _this.hasInit = true;
          editor.on('NodeChange Change KeyUp SetContent', () => {
            this.hasChange = true;
            this.$emit('input', editor.getContent());
          });
        },
        setup(editor) {
          editor.on('FullscreenStateChanged', e => {
            _this.fullscreen = e.state;
          });
        },
        // it will try to keep these URLs intact
        // https://www.tiny.cloud/docs-3x/reference/configuration/Configuration3x@convert_urls/
        // https://stackoverflow.com/questions/5196205/disable-tinymce-absolute-to-relative-url-conversions
        convert_urls: false
        // 整合七牛上传
        // images_dataimg_filter(img) {
        //   setTimeout(() => {
        //     const $image = $(img);
        //     $image.removeAttr('width');
        //     $image.removeAttr('height');
        //     if ($image[0].height && $image[0].width) {
        //       $image.attr('data-wscntype', 'image');
        //       $image.attr('data-wscnh', $image[0].height);
        //       $image.attr('data-wscnw', $image[0].width);
        //       $image.addClass('wscnph');
        //     }
        //   }, 0);
        //   return img
        // },
        // images_upload_handler(blobInfo, success, failure, progress) {
        //   progress(0);
        //   const token = _this.$store.getters.token;
        //   getToken(token).then(response => {
        //     const url = response.data.qiniu_url;
        //     const formData = new FormData();
        //     formData.append('shop-token', response.data.qiniu_token);
        //     formData.append('key', response.data.qiniu_key);
        //     formData.append('file', blobInfo.blob(), url);
        //     upload(formData).then(() => {
        //       success(url);
        //       progress(100);
        //     })
        //   }).catch(err => {
        //     failure('出现未知问题，刷新页面，或者联系程序员')
        //     console.log(err);
        //   });
        // },
      });
    },
    destroyTinymce() {
      const tinymce = window.tinymce.get(this.tinymceId);
      if (this.fullscreen) {
        tinymce.execCommand('mceFullScreen');
      }
      if (tinymce) {
        tinymce.destroy();
      }
    },
    setContent(value) {
      window.tinymce.get(this.tinymceId).setContent(value);
    },
    getContent() {
      window.tinymce.get(this.tinymceId).getContent();
    },
    imageSuccessCBK(arr) {
      arr.forEach(v => window.tinymce.get(this.tinymceId).insertContent(`<img class="wscnph" src="${v.url}" >`));
    }
  }
});
// CONCATENATED MODULE: ./components/Tinymce/index.vue?vue&type=script&lang=js
 /* harmony default export */ var components_Tinymcevue_type_script_lang_js = (Tinymcevue_type_script_lang_js); 
// EXTERNAL MODULE: ./node_modules/vue-loader/lib/runtime/componentNormalizer.js
var componentNormalizer = __webpack_require__(2);

// CONCATENATED MODULE: ./components/Tinymce/index.vue



function injectStyles (context) {
  
  var style0 = __webpack_require__(155)
if (style0.__inject__) style0.__inject__(context)

}

/* normalize component */

var component = Object(componentNormalizer["a" /* default */])(
  components_Tinymcevue_type_script_lang_js,
  render,
  staticRenderFns,
  false,
  injectStyles,
  "64623c0e",
  "c8124998"
  
)

/* harmony default export */ var Tinymce = __webpack_exports__["default"] = (component.exports);

/***/ }),

/***/ 150:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
__webpack_require__.r(__webpack_exports__);
// Any plugins you want to use has to be imported
// Detail plugins list see https://www.tinymce.com/docs/plugins/
// Custom builds see https://www.tinymce.com/download/custom-builds/

const plugins = ['advlist  autolink autosave code  colorpicker colorpicker contextmenu directionality  fullscreen hr insertdatetime link lists  nonbreaking noneditable paste preview print save  spellchecker tabfocus table template textcolor textpattern visualblocks visualchars wordcount'];
//anchor codesample emoticons pagebreak searchreplace image  imagetools media
/* harmony default export */ __webpack_exports__["default"] = (plugins);

/***/ }),

/***/ 151:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
__webpack_require__.r(__webpack_exports__);
// Here is a list of the toolbar
// Detail list see https://www.tinymce.com/docs/advanced/editor-control-identifiers/#toolbarcontrols

const toolbar = ['searchreplace bold italic underline strikethrough alignleft aligncenter alignright outdent indent  blockquote undo redo removeformat subscript superscript code codesample', 'hr bullist numlist link image charmap preview anchor pagebreak insertdatetime media table emoticons forecolor backcolor fullscreen'];
/* harmony default export */ __webpack_exports__["default"] = (toolbar);

/***/ }),

/***/ 152:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
__webpack_require__.r(__webpack_exports__);
let callbacks = [];
function loadedTinymce() {
  // to fixed https://github.com/PanJiaChen/vue-element-admin/issues/2144
  // check is successfully downloaded script
  return window.tinymce;
}
const dynamicLoadScript = (src, callback) => {
  const existingScript = document.getElementById(src);
  const cb = callback || function () {};
  if (!existingScript) {
    const script = document.createElement('script');
    script.src = src; // src url for the third-party library being loaded.
    script.id = src;
    document.body.appendChild(script);
    callbacks.push(cb);
    const onEnd = 'onload' in script ? stdOnEnd : ieOnEnd;
    onEnd(script);
  }
  if (existingScript && cb) {
    if (loadedTinymce()) {
      cb(null, existingScript);
    } else {
      callbacks.push(cb);
    }
  }
  function stdOnEnd(script) {
    script.onload = function () {
      // this.onload = null here is necessary
      // because even IE9 works not like others
      this.onerror = this.onload = null;
      for (const cb of callbacks) {
        cb(null, script);
      }
      callbacks = null;
    };
    script.onerror = function () {
      this.onerror = this.onload = null;
      cb(new Error('Failed to load ' + src), script);
    };
  }
  function ieOnEnd(script) {
    script.onreadystatechange = function () {
      if (this.readyState !== 'complete' && this.readyState !== 'loaded') return;
      this.onreadystatechange = null;
      for (const cb of callbacks) {
        cb(null, script); // there is no way to catch loading errors in IE8
      }
      callbacks = null;
    };
  }
};
/* harmony default export */ __webpack_exports__["default"] = (dynamicLoadScript);

/***/ }),

/***/ 155:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony import */ var _node_modules_css_loader_dist_cjs_js_ref_7_oneOf_1_0_node_modules_vue_loader_lib_loaders_stylePostLoader_js_node_modules_postcss_loader_dist_cjs_js_ref_7_oneOf_1_1_node_modules_sass_loader_dist_cjs_js_ref_7_oneOf_1_2_node_modules_nuxt_components_dist_loader_js_ref_0_0_node_modules_vue_loader_lib_index_js_vue_loader_options_index_vue_vue_type_style_index_0_id_64623c0e_prod_lang_scss_scoped_true__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(142);
/* harmony import */ var _node_modules_css_loader_dist_cjs_js_ref_7_oneOf_1_0_node_modules_vue_loader_lib_loaders_stylePostLoader_js_node_modules_postcss_loader_dist_cjs_js_ref_7_oneOf_1_1_node_modules_sass_loader_dist_cjs_js_ref_7_oneOf_1_2_node_modules_nuxt_components_dist_loader_js_ref_0_0_node_modules_vue_loader_lib_index_js_vue_loader_options_index_vue_vue_type_style_index_0_id_64623c0e_prod_lang_scss_scoped_true__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(_node_modules_css_loader_dist_cjs_js_ref_7_oneOf_1_0_node_modules_vue_loader_lib_loaders_stylePostLoader_js_node_modules_postcss_loader_dist_cjs_js_ref_7_oneOf_1_1_node_modules_sass_loader_dist_cjs_js_ref_7_oneOf_1_2_node_modules_nuxt_components_dist_loader_js_ref_0_0_node_modules_vue_loader_lib_index_js_vue_loader_options_index_vue_vue_type_style_index_0_id_64623c0e_prod_lang_scss_scoped_true__WEBPACK_IMPORTED_MODULE_0__);
/* harmony reexport (unknown) */ for(var __WEBPACK_IMPORT_KEY__ in _node_modules_css_loader_dist_cjs_js_ref_7_oneOf_1_0_node_modules_vue_loader_lib_loaders_stylePostLoader_js_node_modules_postcss_loader_dist_cjs_js_ref_7_oneOf_1_1_node_modules_sass_loader_dist_cjs_js_ref_7_oneOf_1_2_node_modules_nuxt_components_dist_loader_js_ref_0_0_node_modules_vue_loader_lib_index_js_vue_loader_options_index_vue_vue_type_style_index_0_id_64623c0e_prod_lang_scss_scoped_true__WEBPACK_IMPORTED_MODULE_0__) if(["default"].indexOf(__WEBPACK_IMPORT_KEY__) < 0) (function(key) { __webpack_require__.d(__webpack_exports__, key, function() { return _node_modules_css_loader_dist_cjs_js_ref_7_oneOf_1_0_node_modules_vue_loader_lib_loaders_stylePostLoader_js_node_modules_postcss_loader_dist_cjs_js_ref_7_oneOf_1_1_node_modules_sass_loader_dist_cjs_js_ref_7_oneOf_1_2_node_modules_nuxt_components_dist_loader_js_ref_0_0_node_modules_vue_loader_lib_index_js_vue_loader_options_index_vue_vue_type_style_index_0_id_64623c0e_prod_lang_scss_scoped_true__WEBPACK_IMPORTED_MODULE_0__[key]; }) }(__WEBPACK_IMPORT_KEY__));


/***/ }),

/***/ 157:
/***/ (function(module, exports) {

// Exports
module.exports = {

};


/***/ }),

/***/ 169:
/***/ (function(module, exports) {

// Exports
module.exports = {

};


/***/ }),

/***/ 181:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony import */ var _node_modules_css_loader_dist_cjs_js_ref_7_oneOf_1_0_node_modules_vue_loader_lib_loaders_stylePostLoader_js_node_modules_postcss_loader_dist_cjs_js_ref_7_oneOf_1_1_node_modules_sass_loader_dist_cjs_js_ref_7_oneOf_1_2_node_modules_nuxt_components_dist_loader_js_ref_0_0_node_modules_vue_loader_lib_index_js_vue_loader_options_ExportDialog_vue_vue_type_style_index_0_id_1381fc6c_prod_lang_scss_scoped_true__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(157);
/* harmony import */ var _node_modules_css_loader_dist_cjs_js_ref_7_oneOf_1_0_node_modules_vue_loader_lib_loaders_stylePostLoader_js_node_modules_postcss_loader_dist_cjs_js_ref_7_oneOf_1_1_node_modules_sass_loader_dist_cjs_js_ref_7_oneOf_1_2_node_modules_nuxt_components_dist_loader_js_ref_0_0_node_modules_vue_loader_lib_index_js_vue_loader_options_ExportDialog_vue_vue_type_style_index_0_id_1381fc6c_prod_lang_scss_scoped_true__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(_node_modules_css_loader_dist_cjs_js_ref_7_oneOf_1_0_node_modules_vue_loader_lib_loaders_stylePostLoader_js_node_modules_postcss_loader_dist_cjs_js_ref_7_oneOf_1_1_node_modules_sass_loader_dist_cjs_js_ref_7_oneOf_1_2_node_modules_nuxt_components_dist_loader_js_ref_0_0_node_modules_vue_loader_lib_index_js_vue_loader_options_ExportDialog_vue_vue_type_style_index_0_id_1381fc6c_prod_lang_scss_scoped_true__WEBPACK_IMPORTED_MODULE_0__);
/* harmony reexport (unknown) */ for(var __WEBPACK_IMPORT_KEY__ in _node_modules_css_loader_dist_cjs_js_ref_7_oneOf_1_0_node_modules_vue_loader_lib_loaders_stylePostLoader_js_node_modules_postcss_loader_dist_cjs_js_ref_7_oneOf_1_1_node_modules_sass_loader_dist_cjs_js_ref_7_oneOf_1_2_node_modules_nuxt_components_dist_loader_js_ref_0_0_node_modules_vue_loader_lib_index_js_vue_loader_options_ExportDialog_vue_vue_type_style_index_0_id_1381fc6c_prod_lang_scss_scoped_true__WEBPACK_IMPORTED_MODULE_0__) if(["default"].indexOf(__WEBPACK_IMPORT_KEY__) < 0) (function(key) { __webpack_require__.d(__webpack_exports__, key, function() { return _node_modules_css_loader_dist_cjs_js_ref_7_oneOf_1_0_node_modules_vue_loader_lib_loaders_stylePostLoader_js_node_modules_postcss_loader_dist_cjs_js_ref_7_oneOf_1_1_node_modules_sass_loader_dist_cjs_js_ref_7_oneOf_1_2_node_modules_nuxt_components_dist_loader_js_ref_0_0_node_modules_vue_loader_lib_index_js_vue_loader_options_ExportDialog_vue_vue_type_style_index_0_id_1381fc6c_prod_lang_scss_scoped_true__WEBPACK_IMPORTED_MODULE_0__[key]; }) }(__WEBPACK_IMPORT_KEY__));


/***/ }),

/***/ 191:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
// ESM COMPAT FLAG
__webpack_require__.r(__webpack_exports__);

// CONCATENATED MODULE: ./node_modules/babel-loader/lib??ref--2-0!./node_modules/vue-loader/lib/loaders/templateLoader.js??ref--6!./node_modules/@nuxt/components/dist/loader.js??ref--0-0!./node_modules/vue-loader/lib??vue-loader-options!./components/ExportDialog.vue?vue&type=template&id=1381fc6c&scoped=true
var render = function render() {
  var _vm = this,
    _c = _vm._self._c;
  return _c('el-dialog', {
    attrs: {
      "lock-scroll": false,
      "title": _vm.title,
      "visible": _vm.visible,
      "width": "700px",
      "before-close": _vm.handleClose,
      "close-on-click-modal": false,
      "top": "0"
    },
    on: {
      "update:visible": function ($event) {
        _vm.visible = $event;
      }
    }
  }, [_c('el-form', {
    ref: "ruleForm",
    attrs: {
      "model": _vm.emailForm,
      "rules": _vm.rules
    }
  }, _vm._l(_vm.emailForm, function (val, key) {
    return _c('el-form-item', {
      key: key,
      attrs: {
        "label": _vm.labelShow ? key : '',
        "label-width": _vm.labelWidth + 'px',
        "prop": key
      }
    }, [_c('el-input', {
      attrs: {
        "readonly": ""
      },
      model: {
        value: _vm.emailForm[key],
        callback: function ($$v) {
          _vm.$set(_vm.emailForm, key, $$v);
        },
        expression: "emailForm[key]"
      }
    }), _c('el-button', {
      class: key,
      attrs: {
        "data-clipboard-text": _vm.emailForm[key],
        "type": "primary"
      },
      on: {
        "click": function ($event) {
          $event.preventDefault();
          return _vm.copyUrl(key);
        }
      }
    }, [_vm._v("copy link")])], 1);
  }), 1)], 1);
};
var staticRenderFns = [];

// CONCATENATED MODULE: ./components/ExportDialog.vue?vue&type=template&id=1381fc6c&scoped=true

// EXTERNAL MODULE: external "clipboard"
var external_clipboard_ = __webpack_require__(131);
var external_clipboard_default = /*#__PURE__*/__webpack_require__.n(external_clipboard_);

// CONCATENATED MODULE: ./node_modules/babel-loader/lib??ref--2-0!./node_modules/@nuxt/components/dist/loader.js??ref--0-0!./node_modules/vue-loader/lib??vue-loader-options!./components/ExportDialog.vue?vue&type=script&lang=js

/* harmony default export */ var ExportDialogvue_type_script_lang_js = ({
  props: {
    title: {
      type: String,
      default: 'Send Email'
    },
    sendbtnCext: {
      type: String,
      default: 'SUBMIT REQUEST'
    },
    isSendPdf: {
      type: Boolean,
      default: false
    },
    labelShow: {
      type: Boolean,
      default: true
    },
    emailForm: {},
    rules: {},
    labelWidth: Number,
    visible: {
      type: Boolean,
      default: false
    }
  },
  methods: {
    copyUrl(key) {
      let clipboard = new external_clipboard_default.a(`.${key}`);
      clipboard.on('success', e => {
        this.$message.success("link copied to clipboard"); // 利用Element组件给予成功提示
        clipboard.destroy(); // 释放内存 
      });
      clipboard.on('error', e => {
        this.$message.error('The browser does not support automatic replication'); // 给予错误提示信息
        clipboard.destroy(); // 释放内存
      });
    },
    handleClose() {
      this.$emit('update:visible', false);
    }
  }
});
// CONCATENATED MODULE: ./components/ExportDialog.vue?vue&type=script&lang=js
 /* harmony default export */ var components_ExportDialogvue_type_script_lang_js = (ExportDialogvue_type_script_lang_js); 
// EXTERNAL MODULE: ./node_modules/vue-loader/lib/runtime/componentNormalizer.js
var componentNormalizer = __webpack_require__(2);

// CONCATENATED MODULE: ./components/ExportDialog.vue



function injectStyles (context) {
  
  var style0 = __webpack_require__(181)
if (style0.__inject__) style0.__inject__(context)

}

/* normalize component */

var component = Object(componentNormalizer["a" /* default */])(
  components_ExportDialogvue_type_script_lang_js,
  render,
  staticRenderFns,
  false,
  injectStyles,
  "1381fc6c",
  "c4175dac"
  
)

/* harmony default export */ var ExportDialog = __webpack_exports__["default"] = (component.exports);

/***/ }),

/***/ 197:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony import */ var _node_modules_css_loader_dist_cjs_js_ref_3_oneOf_1_0_node_modules_vue_loader_lib_loaders_stylePostLoader_js_node_modules_postcss_loader_dist_cjs_js_ref_3_oneOf_1_1_node_modules_nuxt_components_dist_loader_js_ref_0_0_node_modules_vue_loader_lib_index_js_vue_loader_options_Bxh_vue_vue_type_style_index_0_id_500dc45e_prod_scoped_true_lang_css__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(169);
/* harmony import */ var _node_modules_css_loader_dist_cjs_js_ref_3_oneOf_1_0_node_modules_vue_loader_lib_loaders_stylePostLoader_js_node_modules_postcss_loader_dist_cjs_js_ref_3_oneOf_1_1_node_modules_nuxt_components_dist_loader_js_ref_0_0_node_modules_vue_loader_lib_index_js_vue_loader_options_Bxh_vue_vue_type_style_index_0_id_500dc45e_prod_scoped_true_lang_css__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(_node_modules_css_loader_dist_cjs_js_ref_3_oneOf_1_0_node_modules_vue_loader_lib_loaders_stylePostLoader_js_node_modules_postcss_loader_dist_cjs_js_ref_3_oneOf_1_1_node_modules_nuxt_components_dist_loader_js_ref_0_0_node_modules_vue_loader_lib_index_js_vue_loader_options_Bxh_vue_vue_type_style_index_0_id_500dc45e_prod_scoped_true_lang_css__WEBPACK_IMPORTED_MODULE_0__);
/* harmony reexport (unknown) */ for(var __WEBPACK_IMPORT_KEY__ in _node_modules_css_loader_dist_cjs_js_ref_3_oneOf_1_0_node_modules_vue_loader_lib_loaders_stylePostLoader_js_node_modules_postcss_loader_dist_cjs_js_ref_3_oneOf_1_1_node_modules_nuxt_components_dist_loader_js_ref_0_0_node_modules_vue_loader_lib_index_js_vue_loader_options_Bxh_vue_vue_type_style_index_0_id_500dc45e_prod_scoped_true_lang_css__WEBPACK_IMPORTED_MODULE_0__) if(["default"].indexOf(__WEBPACK_IMPORT_KEY__) < 0) (function(key) { __webpack_require__.d(__webpack_exports__, key, function() { return _node_modules_css_loader_dist_cjs_js_ref_3_oneOf_1_0_node_modules_vue_loader_lib_loaders_stylePostLoader_js_node_modules_postcss_loader_dist_cjs_js_ref_3_oneOf_1_1_node_modules_nuxt_components_dist_loader_js_ref_0_0_node_modules_vue_loader_lib_index_js_vue_loader_options_Bxh_vue_vue_type_style_index_0_id_500dc45e_prod_scoped_true_lang_css__WEBPACK_IMPORTED_MODULE_0__[key]; }) }(__WEBPACK_IMPORT_KEY__));


/***/ }),

/***/ 206:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
// ESM COMPAT FLAG
__webpack_require__.r(__webpack_exports__);

// CONCATENATED MODULE: ./node_modules/babel-loader/lib??ref--2-0!./node_modules/vue-loader/lib/loaders/templateLoader.js??ref--6!./node_modules/@nuxt/components/dist/loader.js??ref--0-0!./node_modules/vue-loader/lib??vue-loader-options!./components/Bxh.vue?vue&type=template&id=500dc45e&scoped=true
var render = function render() {
  var _vm = this,
    _c = _vm._self._c;
  return _c('div', {
    staticClass: "iframe-main"
  }, [_vm._ssrNode("<div class=\"iframe-dom\"" + _vm._ssrStyle(null, {
    height: _vm.height
  }, null) + " data-v-500dc45e></div>")]);
};
var staticRenderFns = [];

// CONCATENATED MODULE: ./components/Bxh.vue?vue&type=template&id=500dc45e&scoped=true

// CONCATENATED MODULE: ./node_modules/babel-loader/lib??ref--2-0!./node_modules/@nuxt/components/dist/loader.js??ref--0-0!./node_modules/vue-loader/lib??vue-loader-options!./components/Bxh.vue?vue&type=script&lang=js
/* harmony default export */ var Bxhvue_type_script_lang_js = ({
  head() {
    return {
      link: [{
        rel: 'stylesheet',
        href: '//yun.baoxiaohe.com/openflatform/css/v1.0/sdk.css'
      }]
    };
  },
  props: {
    bxhType: String,
    design: Number,
    height: {
      type: String,
      default: '99vh'
    },
    link: String,
    templateArr: {
      type: Array,
      default: () => {
        return [];
      }
    }
  },
  data() {
    return {
      iframe: null
    };
  },
  watch: {},
  mounted() {
    this.$nextTick(() => {
      this.createBxh();
    });
    window.addEventListener("message", this.receiveData);
  },
  beforeDestroy() {
    window.removeEventListener("message", this.receiveData);
  },
  methods: {
    async createBxh() {
      if (this.bxhType == '3D') {
        let companyToken = await this.$axios.get("/bxh/company/token");
        let design = this.design || this.link;
        this.init(design, companyToken.result, this.bxhType);
      } else if (this.bxhType == 'design') {
        let token = await this.$axios.get("/bxh/token");
        this.init(this.design, token.result, this.bxhType);
      } else if (this.bxhType == 'render') {
        let token = await this.$axios.get("/bxh/token");
        this.init(this.design, token.result, this.bxhType);
      }
    },
    init(id, token, bxhType) {
      this.iframe = new window.BXHIframe({
        // production: false,
        // env:true,
        elCls: 'iframe-dom',
        prefixCls: 'detail-iframe-sdk',
        locale: "en-US",
        params: {
          id,
          token3D: token,
          token,
          project_id: id,
          isShowRotate: false,
          //右下角的旋转按钮
          isShowFold: false,
          //右下角的折叠按钮
          locale: "en-US"
        },
        name: bxhType
      });
    },
    receiveData(event) {
      if (event) {
        try {
          if (typeof event.data === "string") {
            const {
              event: e,
              name,
              params,
              preDesignParams
            } = JSON.parse(event.data);
            if (e === "needLogin") {
              this.iframe.preDesign({
                ...preDesignParams,
                token: ''
              });
            } else if (e === "viewDetails") {
              this.iframe.render({
                name,
                params
              });
            } else if (e === "viewDetails") {
              this.iframe.render({
                name,
                params
              });
            } else if (e === "startDesign") {
              this.iframe.render({
                params: {
                  id: params.id,
                  token: ''
                },
                name: "design"
              });
            } else if (e === "logoutSuccess") {
              console.log("logoutSuccess");
            } else if (e === "reloadParams") {
              console.log("reloadParams");
            } else if (e === "saveSuccess") {
              console.log("saveSuccess");
            } else if (e === "saveFail") {
              console.log("saveFail");
            } else if (e === "loadSuccess") {
              console.log("loadSuccess");
            } else if (e === "toPreview3d") {
              console.log("手机端编辑器进入3d页面回调");
            } else if (e === "toEditor") {
              console.log("手机端从3d页面进入编辑器回调");
            }
          }
        } catch (error) {
          console.log(error);
        }
      }
    }
  }
});
// CONCATENATED MODULE: ./components/Bxh.vue?vue&type=script&lang=js
 /* harmony default export */ var components_Bxhvue_type_script_lang_js = (Bxhvue_type_script_lang_js); 
// EXTERNAL MODULE: ./node_modules/vue-loader/lib/runtime/componentNormalizer.js
var componentNormalizer = __webpack_require__(2);

// CONCATENATED MODULE: ./components/Bxh.vue



function injectStyles (context) {
  
  var style0 = __webpack_require__(197)
if (style0.__inject__) style0.__inject__(context)

}

/* normalize component */

var component = Object(componentNormalizer["a" /* default */])(
  components_Bxhvue_type_script_lang_js,
  render,
  staticRenderFns,
  false,
  injectStyles,
  "500dc45e",
  "6ec49534"
  
)

/* harmony default export */ var Bxh = __webpack_exports__["default"] = (component.exports);

/***/ }),

/***/ 222:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony import */ var vue__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(0);
/* harmony import */ var vue__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(vue__WEBPACK_IMPORTED_MODULE_0__);

/* harmony default export */ __webpack_exports__["a"] = (new vue__WEBPACK_IMPORTED_MODULE_0___default.a());

/***/ }),

/***/ 223:
/***/ (function(module, exports) {

// Exports
module.exports = {

};


/***/ }),

/***/ 252:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony import */ var _node_modules_css_loader_dist_cjs_js_ref_7_oneOf_1_0_node_modules_vue_loader_lib_loaders_stylePostLoader_js_node_modules_postcss_loader_dist_cjs_js_ref_7_oneOf_1_1_node_modules_sass_loader_dist_cjs_js_ref_7_oneOf_1_2_node_modules_nuxt_components_dist_loader_js_ref_0_0_node_modules_vue_loader_lib_index_js_vue_loader_options_DesignFormDialog_vue_vue_type_style_index_0_id_7d26e39b_prod_lang_scss_scoped_true__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(223);
/* harmony import */ var _node_modules_css_loader_dist_cjs_js_ref_7_oneOf_1_0_node_modules_vue_loader_lib_loaders_stylePostLoader_js_node_modules_postcss_loader_dist_cjs_js_ref_7_oneOf_1_1_node_modules_sass_loader_dist_cjs_js_ref_7_oneOf_1_2_node_modules_nuxt_components_dist_loader_js_ref_0_0_node_modules_vue_loader_lib_index_js_vue_loader_options_DesignFormDialog_vue_vue_type_style_index_0_id_7d26e39b_prod_lang_scss_scoped_true__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(_node_modules_css_loader_dist_cjs_js_ref_7_oneOf_1_0_node_modules_vue_loader_lib_loaders_stylePostLoader_js_node_modules_postcss_loader_dist_cjs_js_ref_7_oneOf_1_1_node_modules_sass_loader_dist_cjs_js_ref_7_oneOf_1_2_node_modules_nuxt_components_dist_loader_js_ref_0_0_node_modules_vue_loader_lib_index_js_vue_loader_options_DesignFormDialog_vue_vue_type_style_index_0_id_7d26e39b_prod_lang_scss_scoped_true__WEBPACK_IMPORTED_MODULE_0__);
/* harmony reexport (unknown) */ for(var __WEBPACK_IMPORT_KEY__ in _node_modules_css_loader_dist_cjs_js_ref_7_oneOf_1_0_node_modules_vue_loader_lib_loaders_stylePostLoader_js_node_modules_postcss_loader_dist_cjs_js_ref_7_oneOf_1_1_node_modules_sass_loader_dist_cjs_js_ref_7_oneOf_1_2_node_modules_nuxt_components_dist_loader_js_ref_0_0_node_modules_vue_loader_lib_index_js_vue_loader_options_DesignFormDialog_vue_vue_type_style_index_0_id_7d26e39b_prod_lang_scss_scoped_true__WEBPACK_IMPORTED_MODULE_0__) if(["default"].indexOf(__WEBPACK_IMPORT_KEY__) < 0) (function(key) { __webpack_require__.d(__webpack_exports__, key, function() { return _node_modules_css_loader_dist_cjs_js_ref_7_oneOf_1_0_node_modules_vue_loader_lib_loaders_stylePostLoader_js_node_modules_postcss_loader_dist_cjs_js_ref_7_oneOf_1_1_node_modules_sass_loader_dist_cjs_js_ref_7_oneOf_1_2_node_modules_nuxt_components_dist_loader_js_ref_0_0_node_modules_vue_loader_lib_index_js_vue_loader_options_DesignFormDialog_vue_vue_type_style_index_0_id_7d26e39b_prod_lang_scss_scoped_true__WEBPACK_IMPORTED_MODULE_0__[key]; }) }(__WEBPACK_IMPORT_KEY__));


/***/ }),

/***/ 297:
/***/ (function(module, exports) {

// Exports
module.exports = {

};


/***/ }),

/***/ 317:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
// ESM COMPAT FLAG
__webpack_require__.r(__webpack_exports__);

// CONCATENATED MODULE: ./node_modules/babel-loader/lib??ref--2-0!./node_modules/vue-loader/lib/loaders/templateLoader.js??ref--6!./node_modules/@nuxt/components/dist/loader.js??ref--0-0!./node_modules/vue-loader/lib??vue-loader-options!./components/DesignFormDialog.vue?vue&type=template&id=7d26e39b&scoped=true
var render = function render() {
  var _vm = this,
    _c = _vm._self._c;
  return _c('el-dialog', {
    attrs: {
      "title": _vm.title,
      "visible": _vm.visible,
      "width": "700px",
      "before-close": _vm.handleClose,
      "top": _vm.top,
      "show-close": false
    },
    on: {
      "update:visible": function ($event) {
        _vm.visible = $event;
      }
    }
  }, [_c('el-form', {
    ref: "ruleForm",
    attrs: {
      "model": _vm.formData,
      "rules": _vm.rules
    }
  }, _vm._l(_vm.formConfig, function (item) {
    return _c('el-form-item', {
      key: item.label,
      attrs: {
        "label": item.label,
        "prop": item.prop,
        "label-width": _vm.labelWidth + 'px'
      }
    }, [item.type === 'input' ? _c('el-input', {
      style: {
        width: item.width
      },
      attrs: {
        "disabled": item.disabled,
        "readonly": item.readonly,
        "placeholder": item.placeholder ? item.placeholder : '',
        "clearable": "",
        "type": item.inputType
      },
      on: {
        "change": function ($event) {
          item.change && item.change(_vm.formData[item.prop]);
        }
      },
      model: {
        value: _vm.formData[item.prop],
        callback: function ($$v) {
          _vm.$set(_vm.formData, item.prop, $$v);
        },
        expression: "formData[item.prop]"
      }
    }) : _vm._e(), _vm._v(" "), item.type === 'selectObj' ? _c('el-select', {
      style: {
        width: '100%'
      },
      attrs: {
        "disabled": item.disabled,
        "clearable": "",
        "filterable": "",
        "multiple": item.multiple
      },
      on: {
        "change": function ($event) {
          item.change && item.change(_vm.formData[item.prop]);
        }
      },
      model: {
        value: _vm.formData[item.prop],
        callback: function ($$v) {
          _vm.$set(_vm.formData, item.prop, $$v);
        },
        expression: "formData[item.prop]"
      }
    }, _vm._l(item.selectList, function (val, key) {
      return _c('el-option', {
        key: parseInt(key),
        attrs: {
          "label": val,
          "value": val
        }
      });
    }), 1) : _vm._e(), _vm._v(" "), item.type === 'tinymce' ? _c('tinymce', {
      staticStyle: {
        "display": "inline-block"
      },
      attrs: {
        "height": item.height,
        "width": item.width
      },
      model: {
        value: _vm.formData[item.prop],
        callback: function ($$v) {
          _vm.$set(_vm.formData, item.prop, $$v);
        },
        expression: "formData[item.prop]"
      }
    }) : _vm._e()], 1);
  }), 1), _vm._v(" "), _c('div', {
    staticClass: "dialog-footer",
    attrs: {
      "slot": "footer"
    },
    slot: "footer"
  }, [_c('el-button', {
    attrs: {
      "type": "primary"
    },
    on: {
      "click": _vm.handleSend
    }
  }, [_vm._v(_vm._s(_vm.sendbtnCext))]), _vm._v(" "), _c('el-button', {
    attrs: {
      "type": "primary",
      "plain": ""
    },
    on: {
      "click": _vm.handleClose
    }
  }, [_vm._v("CANCEL")])], 1)], 1);
};
var staticRenderFns = [];

// CONCATENATED MODULE: ./components/DesignFormDialog.vue?vue&type=template&id=7d26e39b&scoped=true

// EXTERNAL MODULE: ./plugins/bus.js
var bus = __webpack_require__(222);

// EXTERNAL MODULE: ./components/Tinymce/index.vue + 4 modules
var Tinymce = __webpack_require__(143);

// CONCATENATED MODULE: ./node_modules/babel-loader/lib??ref--2-0!./node_modules/@nuxt/components/dist/loader.js??ref--0-0!./node_modules/vue-loader/lib??vue-loader-options!./components/DesignFormDialog.vue?vue&type=script&lang=js


/* harmony default export */ var DesignFormDialogvue_type_script_lang_js = ({
  components: {
    Tinymce: Tinymce["default"]
  },
  props: {
    title: {
      type: String,
      default: 'Send Email'
    },
    // 表单域标签的宽度
    labelWidth: {
      type: Number,
      default: 95
    },
    // 表单配置
    formConfig: {
      type: Array,
      required: true
    },
    // 表单数据
    formData: {
      type: Object,
      required: true
    },
    sendbtnCext: {
      type: String,
      default: 'SUBMIT REQUEST'
    },
    top: {
      type: String,
      default: '5vh'
    },
    isSendPdf: {
      type: Boolean,
      default: false
    },
    rules: {},
    visible: {
      type: Boolean,
      default: false
    }
  },
  methods: {
    handleClose() {
      this.$emit('update:visible', false);
    },
    handleSend() {
      this.$refs.ruleForm.validate(valid => {
        if (valid) {
          if (this.isSendPdf) {
            bus["a" /* default */].$emit("sendPdf");
          } else {
            this.$emit("handleSend");
          }
        } else {
          return false;
        }
      });
    }
  }
});
// CONCATENATED MODULE: ./components/DesignFormDialog.vue?vue&type=script&lang=js
 /* harmony default export */ var components_DesignFormDialogvue_type_script_lang_js = (DesignFormDialogvue_type_script_lang_js); 
// EXTERNAL MODULE: ./node_modules/vue-loader/lib/runtime/componentNormalizer.js
var componentNormalizer = __webpack_require__(2);

// CONCATENATED MODULE: ./components/DesignFormDialog.vue



function injectStyles (context) {
  
  var style0 = __webpack_require__(252)
if (style0.__inject__) style0.__inject__(context)

}

/* normalize component */

var component = Object(componentNormalizer["a" /* default */])(
  components_DesignFormDialogvue_type_script_lang_js,
  render,
  staticRenderFns,
  false,
  injectStyles,
  "7d26e39b",
  "d17a96d0"
  
)

/* harmony default export */ var DesignFormDialog = __webpack_exports__["default"] = (component.exports);

/* nuxt-component-imports */
installComponents(component, {Tinymce: __webpack_require__(143).default})


/***/ }),

/***/ 367:
/***/ (function(module, exports, __webpack_require__) {

module.exports = __webpack_require__.p + "img/export.040816b.png";

/***/ }),

/***/ 368:
/***/ (function(module, exports, __webpack_require__) {

module.exports = __webpack_require__.p + "img/email.11d7073.png";

/***/ }),

/***/ 369:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony import */ var _node_modules_css_loader_dist_cjs_js_ref_7_oneOf_1_0_node_modules_vue_loader_lib_loaders_stylePostLoader_js_node_modules_postcss_loader_dist_cjs_js_ref_7_oneOf_1_1_node_modules_sass_loader_dist_cjs_js_ref_7_oneOf_1_2_node_modules_nuxt_components_dist_loader_js_ref_0_0_node_modules_vue_loader_lib_index_js_vue_loader_options_id_vue_vue_type_style_index_0_id_1ab4e098_prod_lang_scss_scoped_true__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(297);
/* harmony import */ var _node_modules_css_loader_dist_cjs_js_ref_7_oneOf_1_0_node_modules_vue_loader_lib_loaders_stylePostLoader_js_node_modules_postcss_loader_dist_cjs_js_ref_7_oneOf_1_1_node_modules_sass_loader_dist_cjs_js_ref_7_oneOf_1_2_node_modules_nuxt_components_dist_loader_js_ref_0_0_node_modules_vue_loader_lib_index_js_vue_loader_options_id_vue_vue_type_style_index_0_id_1ab4e098_prod_lang_scss_scoped_true__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(_node_modules_css_loader_dist_cjs_js_ref_7_oneOf_1_0_node_modules_vue_loader_lib_loaders_stylePostLoader_js_node_modules_postcss_loader_dist_cjs_js_ref_7_oneOf_1_1_node_modules_sass_loader_dist_cjs_js_ref_7_oneOf_1_2_node_modules_nuxt_components_dist_loader_js_ref_0_0_node_modules_vue_loader_lib_index_js_vue_loader_options_id_vue_vue_type_style_index_0_id_1ab4e098_prod_lang_scss_scoped_true__WEBPACK_IMPORTED_MODULE_0__);
/* harmony reexport (unknown) */ for(var __WEBPACK_IMPORT_KEY__ in _node_modules_css_loader_dist_cjs_js_ref_7_oneOf_1_0_node_modules_vue_loader_lib_loaders_stylePostLoader_js_node_modules_postcss_loader_dist_cjs_js_ref_7_oneOf_1_1_node_modules_sass_loader_dist_cjs_js_ref_7_oneOf_1_2_node_modules_nuxt_components_dist_loader_js_ref_0_0_node_modules_vue_loader_lib_index_js_vue_loader_options_id_vue_vue_type_style_index_0_id_1ab4e098_prod_lang_scss_scoped_true__WEBPACK_IMPORTED_MODULE_0__) if(["default"].indexOf(__WEBPACK_IMPORT_KEY__) < 0) (function(key) { __webpack_require__.d(__webpack_exports__, key, function() { return _node_modules_css_loader_dist_cjs_js_ref_7_oneOf_1_0_node_modules_vue_loader_lib_loaders_stylePostLoader_js_node_modules_postcss_loader_dist_cjs_js_ref_7_oneOf_1_1_node_modules_sass_loader_dist_cjs_js_ref_7_oneOf_1_2_node_modules_nuxt_components_dist_loader_js_ref_0_0_node_modules_vue_loader_lib_index_js_vue_loader_options_id_vue_vue_type_style_index_0_id_1ab4e098_prod_lang_scss_scoped_true__WEBPACK_IMPORTED_MODULE_0__[key]; }) }(__WEBPACK_IMPORT_KEY__));


/***/ }),

/***/ 413:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
// ESM COMPAT FLAG
__webpack_require__.r(__webpack_exports__);

// CONCATENATED MODULE: ./node_modules/babel-loader/lib??ref--2-0!./node_modules/vue-loader/lib/loaders/templateLoader.js??ref--6!./node_modules/@nuxt/components/dist/loader.js??ref--0-0!./node_modules/vue-loader/lib??vue-loader-options!./pages/design/_id.vue?vue&type=template&id=1ab4e098&scoped=true
var render = function render() {
  var _vm = this,
    _c = _vm._self._c;
  return _c('div', [_c('bxh', {
    attrs: {
      "bxhType": 'design',
      "design": +_vm.$route.params.id
    }
  }), _vm._ssrNode(" <ul class=\"handle_list\" data-v-1ab4e098><li data-v-1ab4e098><img" + _vm._ssrAttr("src", __webpack_require__(367)) + " data-v-1ab4e098>Export\n    </li> <li data-v-1ab4e098><img" + _vm._ssrAttr("src", __webpack_require__(368)) + " data-v-1ab4e098>E-mail\n    </li></ul> "), _c('export-dialog', {
    attrs: {
      "emailForm": _vm.exportForm,
      "visible": _vm.exportDialogVisible,
      "labelWidth": 70,
      "title": 'Export'
    },
    on: {
      "update:visible": function ($event) {
        _vm.exportDialogVisible = $event;
      }
    }
  }), _vm._ssrNode(" "), _c('design-form-dialog', {
    attrs: {
      "formData": _vm.emailForm,
      "formConfig": _vm.formConfig,
      "visible": _vm.emailDialogVisible,
      "rules": _vm.rules,
      "labelWidth": 95,
      "title": 'Email To info@promocollection.com.au'
    },
    on: {
      "update:visible": function ($event) {
        _vm.emailDialogVisible = $event;
      },
      "handleSend": _vm.sendMail
    }
  })], 2);
};
var staticRenderFns = [];

// CONCATENATED MODULE: ./pages/design/_id.vue?vue&type=template&id=1ab4e098&scoped=true

// CONCATENATED MODULE: ./node_modules/babel-loader/lib??ref--2-0!./node_modules/@nuxt/components/dist/loader.js??ref--0-0!./node_modules/vue-loader/lib??vue-loader-options!./pages/design/_id.vue?vue&type=script&lang=js
/* harmony default export */ var _idvue_type_script_lang_js = ({
  layout: "blank_layout",
  data() {
    return {
      exportDialogVisible: false,
      emailDialogVisible: false,
      exportForm: {
        Link: '',
        Artwork: ''
      },
      emailForm: {
        from: '',
        to: '',
        cc: 'info@promocollection.com.au',
        subject: '',
        job_name: '',
        link: '',
        pdf: '',
        notes: ''
      },
      // 表单配置
      formConfig: [{
        label: "From",
        prop: "from",
        type: "selectObj",
        selectList: {
          1: '',
          2: 'on-reply@promocollection.com.au'
        }
      }, {
        label: "To",
        prop: "to",
        type: "input"
      }, {
        label: "CC",
        prop: "cc",
        type: "selectObj",
        selectList: {
          1: 'info@promocollection.com.au',
          2: 'astro@promocollection.com.au',
          3: 'grace@promocollection.com.au'
        }
      }, {
        label: "Subject",
        prop: "subject",
        type: "input"
      }, {
        label: "Job Name",
        prop: "job_name",
        type: "input"
      }, {
        label: "Link",
        prop: "link",
        type: "input",
        readonly: true
      }, {
        label: "Artwork",
        prop: "pdf",
        type: "input",
        readonly: true
      }, {
        label: "Notes",
        prop: "notes",
        type: "tinymce",
        width: '100%',
        height: 200
      }],
      rules: {
        from: [{
          required: true,
          message: "Please select",
          trigger: "change"
        }],
        to: [{
          required: true,
          message: "The recipient is unknown. Specify another recipient",
          pattern: /^([a-zA-Z0-9_-])+@([a-zA-Z0-9_-])+((.[a-zA-Z0-9_-]{2,3}){1,2})$/,
          trigger: "blur"
        }],
        subject: [{
          required: true,
          message: "Send this message without a subject?",
          trigger: "blur"
        }],
        job_name: [{
          required: true,
          message: "Please fill in your job name！",
          trigger: "blur"
        }],
        link: [{
          required: true,
          message: "Please enter",
          trigger: "blur"
        }],
        pdf: [{
          required: true,
          message: "Please enter",
          trigger: "blur"
        }],
        notes: [{
          required: true,
          message: "Please enter",
          trigger: "blur"
        }]
      },
      pdf_id: null
    };
  },
  mounted() {
    this.emailForm.link = this.exportForm.Link = window.location.origin + '/3D/' + this.$route.params.id;
    this.emailForm.pdf = this.exportForm.Artwork = window.location.origin + '/pdf/' + this.$route.params.id;
    this.emailForm.from = this.$cookies.get("email");
    this.formConfig[0].selectList['1'] = this.$cookies.get("email");
  },
  methods: {
    openExportFrom() {
      this.exportDialogVisible = true;
    },
    openEmailFrom() {
      this.emailDialogVisible = true;
    },
    sendMail() {
      this.$axios.post("/bxh/email", this.emailForm).then(res => {
        this.emailDialogVisible = false;
        this.$confirm("send successfully", {
          confirmButtonText: "OK",
          showCancelButton: false,
          type: "success",
          center: true,
          showClose: false
        }).then(() => {});
      }).catch(() => {});
    }
  }
});
// CONCATENATED MODULE: ./pages/design/_id.vue?vue&type=script&lang=js
 /* harmony default export */ var design_idvue_type_script_lang_js = (_idvue_type_script_lang_js); 
// EXTERNAL MODULE: ./node_modules/vue-loader/lib/runtime/componentNormalizer.js
var componentNormalizer = __webpack_require__(2);

// CONCATENATED MODULE: ./pages/design/_id.vue



function injectStyles (context) {
  
  var style0 = __webpack_require__(369)
if (style0.__inject__) style0.__inject__(context)

}

/* normalize component */

var component = Object(componentNormalizer["a" /* default */])(
  design_idvue_type_script_lang_js,
  render,
  staticRenderFns,
  false,
  injectStyles,
  "1ab4e098",
  "6167b7cf"
  
)

/* harmony default export */ var _id = __webpack_exports__["default"] = (component.exports);

/* nuxt-component-imports */
installComponents(component, {Bxh: __webpack_require__(206).default,ExportDialog: __webpack_require__(191).default,DesignFormDialog: __webpack_require__(317).default})


/***/ })

};;
//# sourceMappingURL=_id.js.map